## doxygen 1.7.6.1

=== doc/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2011 by Dimitri van Heesch.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
#
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.

all: language FORCE
	DOXYGEN_DOCDIR=$(DOXYDOCS); \
	export DOXYGEN_DOCDIR; \
        VERSION=$(VERSION) ; \
	export VERSION; \
	$(DOXYGEN)/bin/doxygen
	@rm -f ../latex/refman.tex
	@cp doxygen_logo*.gif ../html
	@cp Makefile.latex ../latex/Makefile
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen_manual.tex >../latex/doxygen_manual.tex
	@sed -e "s/\$$VERSION/$(VERSION)/g" doxygen.sty >../latex/doxygen.sty 
	@epstopdf doxygen_logo.eps --outfile=../latex/doxygen_logo.pdf

clean: 
	rm -rf ../html ../latex *.bak 

language: language.doc 

language.doc: $(wildcard ../src/translator*.h) maintainers.txt language.tpl translator.py
	python translator.py

FORCE:

=== examples/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

all: class/html/index.html \
     define/html/index.html \
     enum/html/index.html \
     file/html/index.html \
     func/html/index.html \
     page/html/index.html \
     relates/html/index.html \
     author/html/index.html \
     par/html/index.html \
     overload/html/index.html \
     example/html/index.html \
     include/html/index.html \
     qtstyle/html/index.html \
     jdstyle/html/index.html \
     structcmd/html/index.html \
     autolink/html/index.html \
     restypedef/html/index.html \
     afterdoc/html/index.html \
     template/html/index.html \
     tag/html/index.html \
     group/html/index.html \
     diagrams/html/index.html \
     memgrp/html/index.html \
     docstring/html/index.html \
     pyexample/html/index.html \
     tclexample/html/index.html \
     mux/html/index.html \
     manual/html/index.html 

# Disabled since it is broken :-(
#     dbusxml/html/index.html

clean:
	rm -rf  class define enum file func page relates author \
                par overload example include qtstyle jdstyle structcmd \
		autolink tag restypedef afterdoc template tag group diagrams \
		memgrp docstring pyexample mux manual dbusxml tclexample

class/html/index.html: class.h class.cfg
	$(DOXYGEN)/bin/doxygen class.cfg

define/html/index.html: define.h define.cfg
	$(DOXYGEN)/bin/doxygen define.cfg

enum/html/index.html: enum.h enum.cfg
	$(DOXYGEN)/bin/doxygen enum.cfg

file/html/index.html: file.h file.cfg
	$(DOXYGEN)/bin/doxygen file.cfg

func/html/index.html: func.h func.cfg
	$(DOXYGEN)/bin/doxygen func.cfg

page/html/index.html: page.doc page.cfg
	$(DOXYGEN)/bin/doxygen page.cfg

relates/html/index.html: relates.cpp relates.cfg
	$(DOXYGEN)/bin/doxygen relates.cfg

author/html/index.html: author.cpp author.cfg
	$(DOXYGEN)/bin/doxygen author.cfg

par/html/index.html: par.cpp par.cfg
	$(DOXYGEN)/bin/doxygen par.cfg

overload/html/index.html: overload.cpp overload.cfg
	$(DOXYGEN)/bin/doxygen overload.cfg

example/html/index.html: example.cpp example_test.cpp example.cfg 
	$(DOXYGEN)/bin/doxygen example.cfg

include/html/index.html: include.cpp example_test.cpp include.cfg 
	$(DOXYGEN)/bin/doxygen include.cfg

qtstyle/html/index.html: qtstyle.cpp qtstyle.cfg 
	$(DOXYGEN)/bin/doxygen qtstyle.cfg

jdstyle/html/index.html: jdstyle.cpp jdstyle.cfg 
	$(DOXYGEN)/bin/doxygen jdstyle.cfg

structcmd/html/index.html: structcmd.h structcmd.cfg 
	$(DOXYGEN)/bin/doxygen structcmd.cfg

autolink/html/index.html: autolink.cpp autolink.cfg 
	$(DOXYGEN)/bin/doxygen autolink.cfg

tag/html/index.html: tag.cpp tag.cfg example/html/index.html
	$(DOXYGEN)/bin/doxygen tag.cfg
#	sed -e "1,1s#perl#$(PERL)#g" tag/html/installdox >tag/html/installdox.perl
#	cd tag/html ; $(PERL) installdox.perl -lexample.tag@../../example/html

restypedef/html/index.html: restypedef.cpp restypedef.cfg 
	$(DOXYGEN)/bin/doxygen restypedef.cfg

afterdoc/html/index.html: afterdoc.h afterdoc.cfg
	$(DOXYGEN)/bin/doxygen afterdoc.cfg

template/html/index.html: templ.cpp templ.cfg
	$(DOXYGEN)/bin/doxygen templ.cfg

group/html/index.html: group.cpp group.cfg
	$(DOXYGEN)/bin/doxygen group.cfg

memgrp/html/index.html: memgrp.cpp memgrp.cfg
	$(DOXYGEN)/bin/doxygen memgrp.cfg

pyexample/html/index.html: pyexample.py pyexample.cfg
	$(DOXYGEN)/bin/doxygen pyexample.cfg

tclexample/html/index.html: tclexample.tcl tclexample.cfg
	$(DOXYGEN)/bin/doxygen tclexample.cfg

mux/html/index.html: mux.vhdl mux.cfg
	$(DOXYGEN)/bin/doxygen mux.cfg

manual/html/index.html: manual.c manual.cfg
	$(DOXYGEN)/bin/doxygen manual.cfg

docstring/html/index.html: docstring.py docstring.cfg
	$(DOXYGEN)/bin/doxygen docstring.cfg

#dbusxml/html/index.html: dbusxml.xml dbusxml.cfg
#	$(DOXYGEN)/bin/doxygen dbusxml.cfg

diagrams/html/index.html: diagrams_a.h diagrams_b.h diagrams_c.h diagrams_d.h diagrams_e.h diagrams.cfg
ifneq ($(HAVE_DOT),)
	$(DOXYGEN)/bin/doxygen diagrams.cfg
endif

=== libmd5/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all: Makefile.libmd5 
	$(MAKE) -f Makefile.libmd5

clean: Makefile.libmd5 
	$(MAKE) -f Makefile.libmd5 clean

distclean: clean
	$(RM) -f Makefile.libmd5 libmd5.pro Makefile 

tmake:
	$(ENV) $(PERL) $(TMAKE) libmd5.pro >Makefile.libmd5

Makefile.libmd5: libmd5.pro
	$(ENV) $(PERL) $(TMAKE) libmd5.pro >Makefile.libmd5

install:

=== qtools/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:31 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2000 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.qtools Makefile
	$(MAKE) -f Makefile.qtools    $@

Makefile.qtools: qtools.pro 
	$(ENV) $(PERL) $(TMAKE) qtools.pro >Makefile.qtools

tmake: 
	$(ENV) $(PERL) $(TMAKE) qtools.pro >Makefile.qtools

clean: Makefile.qtools 
	$(MAKE) -f Makefile.qtools    clean 

distclean: clean

FORCE:

=== src/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

#
# $Id: Makefile.in,v 1.4 2001/03/19 19:27:39 root Exp $
#
# Copyright (C) 1997-2011 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile.doxytag Makefile
	$(MAKE) -f Makefile.libdoxycfg PERL=$(PERL) $@
	$(MAKE) -f Makefile.libdoxygen PERL=$(PERL) $@
	$(MAKE) -f Makefile.doxygen    PERL=$(PERL) $@
	$(MAKE) -f Makefile.doxytag    PERL=$(PERL) $@

Makefile.libdoxygen: libdoxygen.pro libdoxygen.t 
	$(ENV) $(PERL) $(TMAKE) libdoxygen.pro >Makefile.libdoxygen

Makefile.libdoxycfg: libdoxycfg.pro libdoxycfg.t 
	$(ENV) $(PERL) $(TMAKE) libdoxycfg.pro >Makefile.libdoxycfg

Makefile.doxygen: doxygen.pro 
	$(ENV) $(PERL) $(TMAKE) doxygen.pro >Makefile.doxygen

Makefile.doxytag: doxytag.pro doxytag.t 
	$(ENV) $(PERL) $(TMAKE) doxytag.pro >Makefile.doxytag

tmake: 
	$(ENV) $(PERL) $(TMAKE) libdoxygen.pro >Makefile.libdoxygen
	$(ENV) $(PERL) $(TMAKE) libdoxycfg.pro >Makefile.libdoxycfg
	$(ENV) $(PERL) $(TMAKE) doxygen.pro >Makefile.doxygen
	$(ENV) $(PERL) $(TMAKE) doxytag.pro >Makefile.doxytag

clean: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile.doxytag 
	$(MAKE) -f Makefile.libdoxygen clean 
	$(MAKE) -f Makefile.libdoxycfg clean 
	$(MAKE) -f Makefile.doxygen    clean 
	$(MAKE) -f Makefile.doxytag    clean

distclean: clean
	-$(RM) scanner.cpp code.cpp config.cpp pre.cpp ce_lex.cpp \
               ce_parse.cpp ce_parse.h doxytag.cpp tag.cpp commentscan.cpp \
	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp vhdlparser.h \
	       vhdlparser.cpp

FORCE:

=== addon/doxywizard/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
#
# 
#
# Copyright (C) 1997-2011 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 

QMAKE=qmake $(MKSPECS)

all: Makefile.doxywizard  
	$(MAKE) -f Makefile.doxywizard 

Makefile.doxywizard: doxywizard.pro
	$(QMAKE) doxywizard.pro -o Makefile.doxywizard

qmake: 
	$(QMAKE) doxywizard.pro -o Makefile.doxywizard

clean: Makefile.doxywizard 
	$(MAKE) -f Makefile.doxywizard clean 

distclean: Makefile.doxywizard
	$(MAKE) -f Makefile.doxywizard distclean 
	$(RM) Makefile.doxywizard

install:
	$(INSTTOOL) -d $(INSTALL)/bin	
	$(INSTTOOL) -m 755 ../../bin/doxywizard $(INSTALL)/bin	
	$(INSTTOOL) -d $(INSTALL)/$(MAN1DIR)
	cat ../../doc/doxywizard.1 | sed -e "s/DATE/$(DATE)/g" -e "s/VERSION/$(VERSION)/g" > doxywizard.1
	$(INSTTOOL) -m 644 doxywizard.1 $(INSTALL)/$(MAN1DIR)/doxywizard.1
	rm doxywizard.1

FORCE:

=== addon/doxmlparser/src/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.doxmlparser 
	$(MAKE) -f Makefile.doxmlparser $@

distclean: clean
	$(RM) -rf Makefile.doxmlparser doxmlparser.pro Makefile obj

tmake:
	$(ENV) $(PERL) $(TMAKE) doxmlparser.pro >Makefile.doxmlparser

Makefile.doxmlparser: doxmlparser.pro
	$(ENV) $(PERL) $(TMAKE) doxmlparser.pro >Makefile.doxmlparser

install:

=== addon/doxmlparser/test/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.xmlparse 
	$(MAKE) -f Makefile.xmlparse $@

distclean: clean
	$(RM) -rf Makefile.xmlparse xmlparse.pro Makefile obj

tmake:
	$(ENV) $(PERL) $(TMAKE) xmlparse.pro >Makefile.xmlparse

Makefile.xmlparse: xmlparse.pro
	$(ENV) $(PERL) $(TMAKE) xmlparse.pro >Makefile.xmlparse

install:

=== addon/doxmlparser/examples/metrics/Makefile ===
#
# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.7.6
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++
all clean depend: Makefile.metrics 
	$(MAKE) -f Makefile.metrics $@

distclean: clean
	$(RM) -rf Makefile.metrics metrics.pro Makefile obj

tmake:
	$(ENV) $(PERL) $(TMAKE) metrics.pro >Makefile.metrics

Makefile.metrics: metrics.pro
	$(ENV) $(PERL) $(TMAKE) metrics.pro >Makefile.metrics

install:

=== debian/changelog ===
doxygen (1.7.6.1-2ubuntu1) precise; urgency=low

  * Add multiarch metadata to satisfy cross-dependencies (LP: #971739)

 -- Wookey <wookey@wookware.org>  Mon, 09 Apr 2012 01:19:27 +0100

doxygen (1.7.6.1-2) unstable; urgency=low

  * Don't apply doxygen_direct_dot_run.diff.  Closes: #618125.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Dec 2011 15:31:10 +0100

doxygen (1.7.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Dec 2011 23:26:59 +0100

=== debian/control ===
Source: doxygen
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5), libqt4-dev, flex, bison (>= 1.875a), python
Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz
Standards-Version: 3.9.2

Package: doxygen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: doxygen-latex
Suggests: doxygen-doc, doxygen-gui, graphviz
Conflicts: graphviz (<< 1.12)
Multi-Arch: foreign
Description: Documentation system for C, C++, Java, Python and other languages
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources.
 .
 Install the doxygen-latex package to build LaTeX based documents.

Package: doxygen-latex
Architecture: all
Depends: doxygen (>= ${source:Version}), ${misc:Depends}, texlive-extra-utils, texlive-latex-extra, latex-xcolor, texlive-font-utils
Multi-Arch: foreign
Description: Documentation system for C, C++, Java, Python and other languages
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files.
 .
 This dependency package adds dependencies for all LaTeX packages required
 to build documents using the default stylesheet.

Package: doxygen-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: doxygen
Section: doc
Provides: doxygen-docs
Replaces: doxygen (<< 1.2.14), doxygen-docs
Conflicts: doxygen-docs
Description: Documentation for doxygen
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources. 
 .
 This package contains the documentation for doxygen.

Package: doxygen-gui
Architecture: any
Depends: doxygen, ${shlibs:Depends}, ${misc:Depends}
Suggests: doxygen-doc
Replaces: doxygen (<< 1.2.14)
Description: GUI configuration tool for doxygen
 Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
 and to some extent PHP, C#, and D.  It can generate an on-line class browser
 (in HTML) and/or an off-line reference manual (in LaTeX) from a set of
 documented source files. There is also support for generating man pages
 and for converting the generated output into Postscript, hyperlinked PDF
 or compressed HTML.  The documentation is extracted directly from the sources. 
 .
 This package contains doxywizard, a GUI configuration tool for doxygen.

## doxygen 1.8.1.2

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -21,7 +21,7 @@
 #
 # 
 #
-# Copyright (C) 1997-2011 by Dimitri van Heesch.
+# Copyright (C) 1997-2012 by Dimitri van Heesch.
 #
 # Permission to use, copy, modify, and distribute this software and its
 # documentation under the terms of the GNU General Public License is hereby

=== examples/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== libmd5/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== qtools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:31 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== src/Makefile ===
#
# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
#

DOXYGEN   = /Users/dimitri/doxygen
TMAKEPATH = /Users/dimitri/doxygen/tmake/lib/macosx-c++
ENV       = env TMAKEPATH=$(TMAKEPATH)
TMAKE     = /Users/dimitri/doxygen/tmake/bin/tmake
MAKE      = /opt/local/bin/gmake
PERL      = /opt/local/bin/perl
RM        = rm -f
CP        = cp
VERSION   = 1.8.1.2
INSTALL   = /usr/local
INSTTOOL  = /opt/local/bin/ginstall
DOXYDOCS  = ..
DOCDIR    = $(INSTALL)/share/doc/packages/doxygen
QTDIR     = /usr
HAVE_DOT  = /usr/local/bin/dot
MKSPECS   = -spec macx-g++

#
# $Id: Makefile.in,v 1.4 2001/03/19 19:27:39 root Exp $
#
# Copyright (C) 1997-2012 by Dimitri van Heesch.
# 
# Permission to use, copy, modify, and distribute this software and its
# documentation under the terms of the GNU General Public License is hereby 
# granted. No representations are made about the suitability of this software 
# for any purpose. It is provided "as is" without express or implied warranty.
# See the GNU General Public License for more details.
# 
# Documents produced by Doxygen are derivative works derived from the
# input used in their production; they are not affected by this license.
# 

all: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen Makefile
	$(MAKE) -f Makefile.libdoxycfg PERL=$(PERL) $@
	$(MAKE) -f Makefile.libdoxygen PERL=$(PERL) $@
	$(MAKE) -f Makefile.doxygen    PERL=$(PERL) $@

Makefile.libdoxygen: libdoxygen.pro libdoxygen.t 
	$(ENV) $(PERL) $(TMAKE) libdoxygen.pro >Makefile.libdoxygen

Makefile.libdoxycfg: libdoxycfg.pro libdoxycfg.t 
	$(ENV) $(PERL) $(TMAKE) libdoxycfg.pro >Makefile.libdoxycfg

Makefile.doxygen: doxygen.pro 
	$(ENV) $(PERL) $(TMAKE) doxygen.pro >Makefile.doxygen

tmake: 
	$(ENV) $(PERL) $(TMAKE) libdoxygen.pro >Makefile.libdoxygen
	$(ENV) $(PERL) $(TMAKE) libdoxycfg.pro >Makefile.libdoxycfg
	$(ENV) $(PERL) $(TMAKE) doxygen.pro >Makefile.doxygen

clean: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen 
	$(MAKE) -f Makefile.libdoxygen clean 
	$(MAKE) -f Makefile.libdoxycfg clean 
	$(MAKE) -f Makefile.doxygen    clean 

distclean: clean
	-$(RM) scanner.cpp code.cpp config.cpp pre.cpp ce_lex.cpp \
               ce_parse.cpp ce_parse.h tag.cpp commentscan.cpp \
	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp vhdlparser.h \
	       vhdlparser.cpp

FORCE:

=== addon/doxywizard/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -21,7 +21,7 @@
 #
 # 
 #
-# Copyright (C) 1997-2011 by Dimitri van Heesch.
+# Copyright (C) 1997-2012 by Dimitri van Heesch.
 # 
 # Permission to use, copy, modify, and distribute this software and its
 # documentation under the terms of the GNU General Public License is hereby

=== addon/doxmlparser/src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== addon/doxmlparser/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== addon/doxmlparser/examples/metrics/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Sat Dec 10 15:47:32 CET 2011
+# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.7.6
+VERSION   = 1.8.1.2
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== debian/changelog ===
doxygen (1.8.1.2-2) unstable; urgency=low

  [ Mònica Ramírez Arceda ]
  * Non-maintainer upload.
  * Include jquery-1.7.1.js source in debian/jquery and update its license.
    This file has the source code for src/jquery_p[123].js. 
    Closes: #625956.
  * Include jquery.scrollTo-1.4.2.js in debian/jquery and add its license.
    This file has the source code for src/jquery_fx.js.
  * Include jquery-ui*.js and jquery.ba-hashchange.js in debian/jquery and 
    add their licenses. These files have the source code for src/jquery_ui.js.

  [ Helmut Grohne ]
  * Added myself as uploader.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 28 Feb 2013 10:09:45 +0100

doxygen (1.8.1.2-1) unstable; urgency=low

  * doxygen 1.8.1.2 (bug fix) release.
    - Changes:
      + doxygen now strips the leading indentation shared by the lines in a
        @code..@endcode block.
      + id 678218: Changed title of the SVG graphs from 'G' to the root node
        of the graph.
    - New features:
      + Added button in the navigation tree to allow enabling/disabling
        syncing the navigation tree with the content.
      + Extended the number of HTML entities with Greek letters and other
        symbols (thanks to Charles Karney for the patch).
      + id 663645: Added support for C++11 strongly typed enums
        (enum class E { ... }).
    - Bug fixes:
      + id 590518: Added missing class member initialization to a class
        in doxmlparser and made the library compile again.
      + id 667678: Added support for Obj-C property attribute "unsafe_retained".
      + id 674842,676984: Unmatched quote in a comment prevented alias
        expansion.
      + id 676019: Fixed another case where local include path did not appear
        correctly in the class documentation.
      + id 676966: Fortran: Some keyword were not colored in the source view.
      + id 676981: Fortran: Argument type was wrong type of in case of
        out of place !> comment.
      + id 677935: Included patch to fix problem compiling for x86 release
        on Windows.
      + id 677992: Section without title could result in an invalid
        Qt Help index.
      + id 678022: Anonymous enum could result in an invalid Qt Help index.
      + id 678102: Superfluous trailing comma in javascript prevented
        navigation tree to load in IE7.
      + id 678177: a + at the start of a line inside a <pre> block, triggered
        the start of a list. Also -- and --- where not kept untouched inside
        a <pre> block.
      + id 678180: ndash (--) appearing in a brief description could lead to
        invalid SVG images.
      + id 678288: -- and --- inside a Markdown code block were not handled
        properly.
      + id 679331,675766: In body documentation with a different indentation
        then the main documentation was not rendered correctly (MARKDOWN=YES).
      + id 679436: Using an escaped pipe symbol in a Markdown table did not
        get unescaped in the output.
      + id 679533: Code fragments did not appear properly in the doxygen manual.
      + id 679615: Added missing delete call in a piece of debugging code.
      + id 679626: Fixed some navigation issues in the manual
      + Not all inherited members appeared in the "Additional inherited members"
        list.
      + Link to call after "Inherited members" was not correct when
        CREATE_SUBDIRS was enabled.
      + New VHDL diagram was not generated if the path contained spaces.
      + Fixed a couple of problems handling Objective-C categories.
  * Fix segfault building the leechcraft docs (Thibaut Paumard).
    Closes: #676423.
  * Make doxygen Multi-Arch: foreign. Closes: #658984.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jul 2012 23:41:38 +0200

doxygen (1.8.1.1-1) unstable; urgency=low

  * doxygen 1.8.1.1 (bug fix) release.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jun 2012 23:59:02 +0200

doxygen (1.8.1-1) unstable; urgency=low

  * doxygen 1.8.1 release.
  * Build-depend on latex-xcolor.
  * doxygen-latex: Depend on latex-xcolor.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 14:48:01 +0800

doxygen (1.7.6.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add depends on ghostscript and texlive-fonts-recommended to doxygen-latex.
    Closes: #654587, #637661.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 07 Jan 2012 12:58:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: doxygen
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
+Uploaders: Helmut Grohne <helmut@subdivi.de>
 Build-Depends: debhelper (>= 5), libqt4-dev, flex, bison (>= 1.875a), python
-Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz
-Standards-Version: 3.9.2
+Build-Depends-Indep: texlive-fonts-recommended, texlive-generic-recommended, texlive-latex-extra, texlive-latex-recommended, texlive-extra-utils, texlive-font-utils, ghostscript, graphviz, latex-xcolor
+Standards-Version: 3.9.3
 
 Package: doxygen
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: doxygen-latex
 Suggests: doxygen-doc, doxygen-gui, graphviz
 Conflicts: graphviz (<< 1.12)
-Multi-Arch: foreign
 Description: Documentation system for C, C++, Java, Python and other languages
  Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
  and to some extent PHP, C#, and D.  It can generate an on-line class browser
@@ -26,8 +26,8 @@
 
 Package: doxygen-latex
 Architecture: all
-Depends: doxygen (>= ${source:Version}), ${misc:Depends}, texlive-extra-utils, texlive-latex-extra, latex-xcolor, texlive-font-utils
 Multi-Arch: foreign
+Depends: doxygen (>= ${source:Version}), ${misc:Depends}, texlive-extra-utils, texlive-latex-extra, latex-xcolor, texlive-font-utils, ghostscript, texlive-fonts-recommended, latex-xcolor
 Description: Documentation system for C, C++, Java, Python and other languages
  Doxygen is a documentation system for C, C++, Java, Objective-C, Python, IDL
  and to some extent PHP, C#, and D.  It can generate an on-line class browser

## doxygen 1.8.3.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -21,7 +21,7 @@
 #
 # 
 #
-# Copyright (C) 1997-2012 by Dimitri van Heesch.
+# Copyright (C) 1997-2013 by Dimitri van Heesch.
 #
 # Permission to use, copy, modify, and distribute this software and its
 # documentation under the terms of the GNU General Public License is hereby

=== examples/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== libmd5/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== qtools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -22,7 +22,7 @@
 #
 # $Id: Makefile.in,v 1.4 2001/03/19 19:27:39 root Exp $
 #
-# Copyright (C) 1997-2012 by Dimitri van Heesch.
+# Copyright (C) 1997-2013 by Dimitri van Heesch.
 # 
 # Permission to use, copy, modify, and distribute this software and its
 # documentation under the terms of the GNU General Public License is hereby 
@@ -53,17 +53,28 @@
 	$(ENV) $(PERL) $(TMAKE) libdoxycfg.pro >Makefile.libdoxycfg
 	$(ENV) $(PERL) $(TMAKE) doxygen.pro >Makefile.doxygen
 
+# clean objects
 clean: Makefile.libdoxygen Makefile.libdoxycfg Makefile.doxygen 
 	$(MAKE) -f Makefile.libdoxygen clean 
 	$(MAKE) -f Makefile.libdoxycfg clean 
 	$(MAKE) -f Makefile.doxygen    clean 
 
+# also clean flex/bison generated files
 distclean: clean
 	-$(RM) scanner.cpp code.cpp config.cpp pre.cpp ce_lex.cpp \
                ce_parse.cpp ce_parse.h tag.cpp commentscan.cpp \
 	       declinfo.cpp defargs.cpp commentcnv.cpp doctokenizer.cpp \
 	       pycode.cpp pyscanner.cpp fortrancode.cpp fortranscanner.cpp \
 	       vhdlscanner.cpp vhdlcode.cpp tclscanner.cpp vhdlparser.h \
-	       vhdlparser.cpp
+	       vhdlparser.cpp \
+
+# clean also the generated files which are in SVN
+realclean: distclean
+	-$(RM) index_xsd.h compound_xsd.h layout_default.h \
+	       header_html.h footer_html.h search_functions_php.h search_opensearch_php.h \
+	       search_js.h search_css.h doxygen_css.h navtree_js.h navindex_js.h resize_js.h \
+	       jquery_fx_js.h jquery_p1_js.h jquery_p2_js.h \
+	       jquery_p3_js.h jquery_ui_js.h navtree_css.h svgpan_js.h dynsections_js.h \
+	       doxygen_bst.h bib2xhtml.h configoptions.cpp
 
 FORCE:

=== addon/doxywizard/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..
@@ -21,7 +21,7 @@
 #
 # 
 #
-# Copyright (C) 1997-2012 by Dimitri van Heesch.
+# Copyright (C) 1997-2013 by Dimitri van Heesch.
 # 
 # Permission to use, copy, modify, and distribute this software and its
 # documentation under the terms of the GNU General Public License is hereby

=== addon/doxmlparser/src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== addon/doxmlparser/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== addon/doxmlparser/examples/metrics/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# This file was generated from Makefile.in on Thu Jul 12 20:08:34 CEST 2012
+# This file was generated from Makefile.in on Sat Jan 19 20:06:03 CET 2013
 #
 
 DOXYGEN   = /Users/dimitri/doxygen
@@ -10,7 +10,7 @@
 PERL      = /opt/local/bin/perl
 RM        = rm -f
 CP        = cp
-VERSION   = 1.8.1.2
+VERSION   = 1.8.3
 INSTALL   = /usr/local
 INSTTOOL  = /opt/local/bin/ginstall
 DOXYDOCS  = ..

=== debian/changelog ===
doxygen (1.8.3.1-1) experimental; urgency=low

  * doxygen 1.8.3.1 release.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2013 17:18:39 +0100

doxygen (1.8.2-1) experimental; urgency=low

  * doxygen 1.8.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Aug 2012 18:03:15 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS=
export QTDIR=/usr/share/qt4/QtGui

CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
with_doxywizard := yes
ifneq (,$(filter $(DEB_BUILD_ARCH),hurd-i386))
  with_doxywizard := no
endif

ifeq ($(with_doxywizard),yes)
  CONFIGUREFLAGS+=--with-doxywizard
endif
CONFIGUREFLAGS+=--dot /usr/bin/dot
CONFIGUREFLAGS+=--install /usr/bin/install

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure $(CONFIGUREFLAGS)
	sed -i 's/^TMAKE_MOC *=.*/TMAKE_MOC = moc/' addon/doxywizard/doxywizard.pro
	touch $@

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	TMAKE_CFLAGS_RELEASE="$(CFLAGS)" TMAKE_LFLAGS_RELEASE="$(LDFLAGS)" \
		$(MAKE) QMAKE=/usr/bin/qmake-qt4
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install*stamp
	rm -rf qt
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f qtools/Makefile.qtools
	dh_clean

uninstall:
	dh_testdir
	dh_testroot
	rm -f install*stamp
	dh_clean -k

install-indep: install-arch
install-indep: install-indep-stamp
install-indep-stamp: DH_OPTIONS=-i
install-indep-stamp: INSDIR=$(shell pwd)/debian/doxygen/usr
install-indep-stamp: DOCDIR=$(shell pwd)/debian/doxygen-doc/usr/share/doc/doxygen
install-indep-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install_docs \
		INSTALL=$(INSDIR) DOCDIR=$(DOCDIR) MAN1DIR=share/man/man1
	-find debian -name .cvsignore -o -name CVS | xargs rm -rf
	touch $@

install-arch: build
install-arch: install-arch-stamp
install-arch-stamp: DH_OPTIONS=-a
install-arch-stamp: INSDIR=$(shell pwd)/debian/doxygen/usr
install-arch-stamp: DOCDIR=$(shell pwd)/debian/doxygen/usr/share/doc/doxygen
install-arch-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install \
		INSTALL=$(INSDIR) DOCDIR=$(DOCDIR) MAN1DIR=share/man/man1
ifeq ($(with_doxywizard),yes)
	dh_movefiles -Ndoxygen --sourcedir=debian/doxygen \
		usr/bin/doxywizard \
		usr/share/man/man1/doxywizard.1
endif
	-find debian -name .cvsignore -o -name CVS | xargs rm -rf
	touch $@

install: install-indep install-arch

binary-indep: DH_OPTIONS=-i
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

ifeq ($(with_doxywizard),yes)
binary-arch: DH_OPTIONS=-a
else
binary-arch: DH_OPTIONS=-a -Ndoxygen-gui
endif
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installdocs LANGUAGE.HOWTO PLATFORMS README VERSION
	dh_installman
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_installmenu
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: configure build clean uninstall
.PHONY: install-arch install-indep install
.PHONY: binary-arch binary-indep binary
